package org.cert.appchat;

import android.net.Uri;
import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.Menu;


public class MainActivity extends Activity {

	Intent i;
    private static String holdover = "";

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);
		getDataFromIntent();
	}
	
	protected void onResume()
	{
		super.onResume();
		getDataFromIntent();
	}

	private void getDataFromIntent(){
		try {
			i = getIntent();
			String action = i.getAction();
            Bundle extras = i.getExtras();
            String content;
            if (action.equals(Intent.ACTION_SEND)) {
                content = extras.getString("secret");
            }
            else if (action.equals(Intent.ACTION_VIEW)) {
                content = i.getData().toString();
            }
            else {
                content = "";
            }
            holdover += content;
            Intent ret_intent = new Intent();
            ret_intent.putExtra("STORED_DATA", holdover);
            setResult(Activity.RESULT_OK, ret_intent);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	
	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

}
