package org.cert.sendsms2;

import android.content.Context;
import android.content.Intent;
import android.telephony.TelephonyManager;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.location.LocationManager;


public class Button1Listener implements OnClickListener {

	private final MainActivity act;
	
	public Button1Listener(MainActivity parentActivity) {
		this.act = parentActivity;
	}

	@Override
	public void onClick(View arg0) {
		Intent i = new Intent(Intent.ACTION_SEND);
		i.setType("text/plain");
		TelephonyManager tManager = (TelephonyManager) this.act.getSystemService(Context.TELEPHONY_SERVICE);
		String message = tManager.getLine1Number();			// SOURCE
        i.putExtra("secret", message);
		Log.i("SendSMS: ", "Sending implicit Intent with MIME data type text/plain: Line 1 Number "+message);	// SINK
		this.act.startActivityForResult(i, 0);			// SINK
	}
}
