package org.cert.writelog;

import android.content.Context;
import android.content.Intent;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.location.LocationManager;
import android.location.Location;



public class Button1Listener implements OnClickListener {

	private final MainActivity act;
	
	public Button1Listener(MainActivity parentActivity) {
		this.act = parentActivity;
	}

	@Override
	public void onClick(View arg0) {
		Intent i = new Intent(Intent.ACTION_SEND);
		i.setType("text/plain");

        LocationManager locationManager = (LocationManager) this.act.getSystemService(Context.LOCATION_SERVICE);
        String locationProvider = LocationManager.GPS_PROVIDER;
        Location lastKnownLocation = locationManager.getLastKnownLocation(locationProvider);
        String message = "Latitude = " + lastKnownLocation.getLatitude() + " Longitude = " + lastKnownLocation.getLongitude(); //SOURCE

        i.putExtra("secret", message);
        Log.i("WriteLog: ", "Sending implicit Intent with MIME data type text/plain: "+message);	// SINK
        this.act.startActivityForResult(i, 0);			// SINK
	}
}
